neo4j_statement_execution_step Struct Reference

An execution step in a plan (or profile) for an evaluated statement. More...

`#include <neo4j-client.h>`

## Data Fields

const char * | operator_type
| The name of the operator type applied in this execution step. More...
const char *const * | identifiers
| An array of identifier names available in this step. More...
unsigned int | nidentifiers
| The number of identifiers. More...
double | estimated_rows
| The estimated number of rows to be handled by this step. More...
unsigned long long | rows
| The number of rows handled by this step (for profiled plans only). More...
unsigned long long | db_hits
| The number of db_hits (for profiled plans only). More...
unsigned long long | page_cache_hits
| The number of page cache hits (for profiled plans only). More...
unsigned long long | page_cache_misses
| The number of page cache misses (for profiled plans only). More...
struct neo4j_statement_execution_step ** | sources
| An array containing the sources for this step. More...
unsigned int | nsources
| The number of sources. More...
neo4j_value_t | arguments
| A NEO4J_MAP, containing all the arguments for this step as provided by the server.

## Detailed Description

An execution step in a plan (or profile) for an evaluated statement.

## Field Documentation

## db_hits

unsigned long long neo4j_statement_execution_step::db_hits

The number of db_hits (for profiled plans only).

## estimated_rows

double neo4j_statement_execution_step::estimated_rows

The estimated number of rows to be handled by this step.

## identifiers

const char* const* neo4j_statement_execution_step::identifiers

An array of identifier names available in this step.

## nidentifiers

unsigned int neo4j_statement_execution_step::nidentifiers

The number of identifiers.

## nsources

unsigned int neo4j_statement_execution_step::nsources

The number of sources.

## operator_type

const char* neo4j_statement_execution_step::operator_type

The name of the operator type applied in this execution step.

## page_cache_hits

unsigned long long neo4j_statement_execution_step::page_cache_hits

The number of page cache hits (for profiled plans only).

## page_cache_misses

unsigned long long neo4j_statement_execution_step::page_cache_misses

The number of page cache misses (for profiled plans only).

## rows

unsigned long long neo4j_statement_execution_step::rows

The number of rows handled by this step (for profiled plans only).

## sources

struct neo4j_statement_execution_step** neo4j_statement_execution_step::sources

An array containing the sources for this step.